Bug 1445432 - uninstall ipa client automount failed with RuntimeWarning
Summary: uninstall ipa client automount failed with RuntimeWarning
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Ganna Kaihorodova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-25 16:13 UTC by Petr Vobornik
Modified: 2017-08-01 09:50 UTC (History)
6 users (show)

Fixed In Version: ipa-4.5.0-9.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:50:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2304 normal SHIPPED_LIVE ipa bug fix and enhancement update 2017-08-01 12:41:35 UTC

Description Petr Vobornik 2017-04-25 16:13:20 UTC
Cloned from upstream: https://pagure.io/freeipa/issue/6861

 When trying to uninstall automount client setting on the ipa-client its failing with RuntimeWarning.

:: [  BEGIN   ] :: uninstall ipa client automount :: actually running 'ipa-client-automount --uninstall -U'
/usr/lib/python2.7/site-packages/ipaplatform/base/services.py:195: RuntimeWarning: RedHatService('sssd', api=None) is deprecated.
  super(SystemdService, self).__init__(service_name, api=api)
Restoring configuration
Unable to restore SSSD configuration: 'Env' object has no attribute 'realm'
:: [   PASS   ] :: uninstall ipa client automount (Expected 0, got 0)
:: [  BEGIN   ] :: Restarting automount to fetch updated configuration :: actually running 'service autofs restart'
Redirecting to /bin/systemctl restart autofs.service
:: [   PASS   ] :: Restarting automount to fetch updated configuration (Expected 0, got 0)
:: [  BEGIN   ] :: Removed automount key :: actually running 'ipa automountkey-del direct_map_21468 auto.direct --key=/direct_map_21468/'
ipa: ERROR: Major (851968): Unspecified GSS failure.  Minor code may provide more information, Minor (39756044): Credential cache is empty
:: [   FAIL   ] :: Removed automount key (Expected 0, got 1)
:: [  BEGIN   ] :: Removed automount location :: actually running 'ipa automountlocation-del direct_map_21468'
ipa: ERROR: Major (851968): Unspecified GSS failure.  Minor code may provide more information, Minor (39756044): Credential cache is empty
:: [   FAIL   ] :: Removed automount location (Expected 0, got 1)
'c91287af-23c1-43d2-bcf3-efc151d69096'
autofs-functional-test-offline-direct-map result: FAIL

Comment 2 Petr Vobornik 2017-04-25 16:13:35 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/6861

Comment 6 Ganna Kaihorodova 2017-05-26 08:31:56 UTC
:: [  BEGIN   ] :: uninstall ipa client automount :: actually running 'ipa-client-automount --uninstall -U'
Restoring configuration
:: [   PASS   ] :: uninstall ipa client automount (Expected 0, got 0)
:: [  BEGIN   ] :: Restarting automount to fetch updated configuration :: actually running 'service autofs restart'
Redirecting to /bin/systemctl restart autofs.service
:: [   PASS   ] :: Restarting automount to fetch updated configuration (Expected 0, got 0)
:: [  BEGIN   ] :: Removed automount key :: actually running 'ipa automountkey-del direct_map_30267 auto.direct --key=/direct_map_30267/'
------------------------------------------
Deleted automount key "/direct_map_30267/"
------------------------------------------
:: [   PASS   ] :: Removed automount key (Expected 0, got 0)
:: [  BEGIN   ] :: Removed automount location :: actually running 'ipa automountlocation-del direct_map_30267'
---------------------------------------------
Deleted automount location "direct_map_30267"
---------------------------------------------
:: [   PASS   ] :: Removed automount location (Expected 0, got 0)

Comment 7 errata-xmlrpc 2017-08-01 09:50:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2304


Note You need to log in before you can comment on or make changes to this bug.